#!/usr/bin/env python
#coding:utf-8

'''
from JiuJiang
树莓酱的操作实例
http:://www.suhmeijiang.com
'''

import time
from LCD1602 import LCD1602  ##引入LCD1602驱动类
lcd = LCD1602(0x27)      ##实例化 0x27为液晶显示器地址

##要输出的内容
listData = ["aaaaaa","bbbbbb", "ccccc", "dddddd", "eeeeee", "ffffff", "ggggggggg"]

allCount = len(listData)   ##计算数量
for i in range(0, allCount):  
	line1 = listData[i]    ##第一行
	line2 = '' if i+1 > allCount-1 else listData[i+1]  ##判断第二行是否有值

	lcd.print_lcd(0, 0, line1)  ##第一行输出
	time.sleep(1)   ##第二行延迟 可去掉 然后两行同时显示
	lcd.print_lcd(0, 1, line2)  ##第二行输出
	time.sleep(1)  	##延迟1秒
	lcd.clear_lcd() ##清空屏幕
